Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#880 closed defect (invalid)

mp4 not working on some android devices if used by dns

Reported by: hilmican@… Owned by:
Priority: minor Milestone: 1.9
Component: documentation Version: 1.9.x
Keywords: Cc:
uname -a: Linux localhost.localdomain 2.6.32-573.7.1.el6.x86_64 #1 SMP Tue Sep 22 22:00:00 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
nginx -V: nginx version: nginx/1.9.9
built by gcc 4.4.7 20120313 (Red Hat 4.4.7-16) (GCC)
built with OpenSSL 1.0.1e-fips 11 Feb 2013
TLS SNI support enabled
configure arguments: --with-http_ssl_module --with-http_mp4_module --with-http_flv_module --with-http_gzip_static_module --add-module=/home/hilmi/nginx/ngx_report/ --add-module=/home/hilmi/nginx/ngx_cache_purge-master/

Description

We are using nginx to server mp4 files. They work fine with most of the android devices but on nexus 6 or galaxy s5. mp4 files are not working with dns names like http://demo_vod2.mediatriple.net/test2.mp4 but it is working with http://46.165.230.1/test2.mp4

Change History (8)

comment:1 by Maxim Dounin, 5 years ago

What makes you think that this is a bug in nginx, and not a configuration problem (either nginx or DNS one)? The fact that it works with IP address directly specified suggests that it's more likely to be a configuration problem, and not a bug in nginx. Please provide more details if you think this is a bug.

comment:2 by hilmican@…, 5 years ago

It is a very basic configuration.

server {

listen 46.165.230.1:80; ## listen for ipv4; this line is default and implied
#listen [::]:80 default ipv6only=on; ## listen for ipv6

root /home/hilmi/fakehost;
error_log /var/log/demo-error_log warn;
location / {

mp4;
mp4_buffer_size 1m;
mp4_max_buffer_size 5m;

}

server_name 46.165.230.1 demo_vod2.mediatriple.net demo_vod2.mediatriple.com demo_vod2.chickenkiller.com;

}

I have tested with 3 different dns provider and 2 mp4 files.

http://demo_vod2.mediatriple.net/small.mp4

small.mp4 is a well known test file and it is not working with dns too.

This problem occures on a handfull of devices but youtube works in this devices. And if i download the content. It plays without a problem. And also if i install apache to the server. The content plays without a problem too. So i think it might be a bug. But also as you said it might be a configuration problem. But my config is so basic. I cant see anything which could be wrong.

I also tested with nginx 1.9.5 too and it has the same problem too.

in reply to:  description ; comment:3 by Ilyas Bakirov, 5 years ago

Replying to hilmican@…:

We are using nginx to server mp4 files. They work fine with most of the android devices but on nexus 6 or galaxy s5. mp4 files are not working with dns names like http://demo_vod2.mediatriple.net/test2.mp4 but it is working with http://46.165.230.1/test2.mp4

First of all, I recommend to place server_name ... after your listen directive for good configuration readability.

And Serial of your mediatriple.net, mediatriple.com and mediatriple.com domains shows 20160118* date modification and I think your demo_vod2.* might not accessible of some sort of DNS cache expire time or A record activation time

Do you still have this problem today?

Last edited 5 years ago by Ilyas Bakirov (previous) (diff)

in reply to:  3 comment:4 by hilmican@…, 5 years ago

Replying to i.bakirov@…:

Replying to hilmican@…:

We are using nginx to server mp4 files. They work fine with most of the android devices but on nexus 6 or galaxy s5. mp4 files are not working with dns names like http://demo_vod2.mediatriple.net/test2.mp4 but it is working with http://46.165.230.1/test2.mp4

First of all, I recommend to place server_name ... after your listen directive for good configuration readability.

And Serial of your mediatriple.net, mediatriple.com and mediatriple.com domains shows 20160118* date modification and I think your demo_vod2.* might not accessible of some sort of DNS cache expire time or A record activation time

Do you still have this problem today?

Hello;

Yes i still have the problem. I placed server_name after listen for readibility and i increased ttl of my dns entries to 300. chickenkiller.com is a free dns example service so i didnt do anything for it.

By the way, i could reach content over dns too. If i put an image or html to the same location, there is no problem with it. It is just mp4 files are not playing in these devices over nginx.

comment:5 by Maxim Dounin, 5 years ago

The fact that you are able to play content with IP address, but not with DNS name, suggests that these requests are handled differently. Most trivial possible reasons for the difference are:

  • the DNS name you are using points to a different IP address, but this is unlikely given that you are able to reach other content;
  • requests are handled in different server{} blocks for some reason;
  • clients in question handle the requests differently for some reason.

Try looking into logs to find out what exactly happens in your case. In particular, debug logs can be helpful.

Note well that mp4 module is designed for flash-based pseudo-streaming and it is not expected to do anything with requests without special parameters. If you are requesting the mp4 file directly by URL, consider commenting out the mp4 directive to see if it will change anything.

comment:6 by hilmican@…, 5 years ago

Hello;

I was compiling nginx myself so i tried install it with yum. I use only defaults. There is no extra server block and opened debug log.

This is what i get if i use IP to reach the content.

2016/01/21 09:36:21 [debug] 17859#0: epoll: fd:6 ev:0001 d:00007FDC28C9D010
2016/01/21 09:36:21 [debug] 17859#0: accept on 46.165.230.1:80, ready: 0
2016/01/21 09:36:21 [debug] 17859#0: posix_memalign: 0000000000D37DF0:256 @16
2016/01/21 09:36:21 [debug] 17859#0: *20 accept: 54.75.244.60:45745 fd:3
2016/01/21 09:36:21 [debug] 17859#0: posix_memalign: 0000000000D37890:256 @16
2016/01/21 09:36:21 [debug] 17859#0: *20 event timer add: 3: 60000:1453361841927
2016/01/21 09:36:21 [debug] 17859#0: *20 reusable connection: 1
2016/01/21 09:36:21 [debug] 17859#0: *20 epoll add event: fd:3 op:1 ev:80002001
2016/01/21 09:36:21 [debug] 17859#0: timer delta: 495407
2016/01/21 09:36:21 [debug] 17859#0: worker cycle
2016/01/21 09:36:21 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:21 [debug] 17859#0: epoll: fd:3 ev:0001 d:00007FDC28C9D1C1
2016/01/21 09:36:21 [debug] 17859#0: *20 http wait request handler
2016/01/21 09:36:21 [debug] 17859#0: *20 malloc: 0000000000CCF130:1024
2016/01/21 09:36:21 [debug] 17859#0: *20 recv: fd:3 392 of 1024
2016/01/21 09:36:21 [debug] 17859#0: *20 reusable connection: 0
2016/01/21 09:36:21 [debug] 17859#0: *20 posix_memalign: 0000000000D1C7F0:4096 @16
2016/01/21 09:36:21 [debug] 17859#0: *20 http process request line
2016/01/21 09:36:21 [debug] 17859#0: *20 http request line: "GET /test2.mp4 HTTP/1.1"
2016/01/21 09:36:21 [debug] 17859#0: *20 http uri: "/test2.mp4"
2016/01/21 09:36:21 [debug] 17859#0: *20 http args: ""
2016/01/21 09:36:21 [debug] 17859#0: *20 http exten: "mp4"
2016/01/21 09:36:21 [debug] 17859#0: *20 http process request header line
2016/01/21 09:36:21 [debug] 17859#0: *20 http header: "Host: 46.165.230.1"
2016/01/21 09:36:21 [debug] 17859#0: *20 http header: "Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8"
2016/01/21 09:36:21 [debug] 17859#0: *20 http header: "Upgrade-Insecure-Requests: 1"
2016/01/21 09:36:21 [debug] 17859#0: *20 http header: "User-Agent: Mozilla/5.0 (Linux; Android 5.0; Nexus 6 Build/LRX21O) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.84 Mobile Safari/537.36"
2016/01/21 09:36:21 [debug] 17859#0: *20 http header: "Accept-Encoding: gzip, deflate, sdch"
2016/01/21 09:36:21 [debug] 17859#0: *20 http header: "Accept-Language: en-IN,en-US;q=0.8,en;q=0.6"
2016/01/21 09:36:21 [debug] 17859#0: *20 http header done
2016/01/21 09:36:21 [debug] 17859#0: *20 event timer del: 3: 1453361841927
2016/01/21 09:36:21 [debug] 17859#0: *20 generic phase: 0
2016/01/21 09:36:21 [debug] 17859#0: *20 rewrite phase: 1
2016/01/21 09:36:21 [debug] 17859#0: *20 test location: "/"
2016/01/21 09:36:21 [debug] 17859#0: *20 test location: "50x.html"
2016/01/21 09:36:21 [debug] 17859#0: *20 using configuration "/"
2016/01/21 09:36:21 [debug] 17859#0: *20 http cl:-1 max:1048576
2016/01/21 09:36:21 [debug] 17859#0: *20 rewrite phase: 3
2016/01/21 09:36:21 [debug] 17859#0: *20 post rewrite phase: 4
2016/01/21 09:36:21 [debug] 17859#0: *20 generic phase: 5
2016/01/21 09:36:21 [debug] 17859#0: *20 generic phase: 6
2016/01/21 09:36:21 [debug] 17859#0: *20 generic phase: 7
2016/01/21 09:36:21 [debug] 17859#0: *20 generic phase: 8
2016/01/21 09:36:21 [debug] 17859#0: *20 access phase: 9
2016/01/21 09:36:21 [debug] 17859#0: *20 access phase: 10
2016/01/21 09:36:21 [debug] 17859#0: *20 access phase: 11
2016/01/21 09:36:21 [debug] 17859#0: *20 post access phase: 12
2016/01/21 09:36:21 [debug] 17859#0: *20 content phase: 13
2016/01/21 09:36:21 [debug] 17859#0: *20 content phase: 14
2016/01/21 09:36:21 [debug] 17859#0: *20 content phase: 15
2016/01/21 09:36:21 [debug] 17859#0: *20 content phase: 16
2016/01/21 09:36:21 [debug] 17859#0: *20 content phase: 17
2016/01/21 09:36:21 [debug] 17859#0: *20 content phase: 18
2016/01/21 09:36:21 [debug] 17859#0: *20 posix_memalign: 0000000000D1A9A0:4096 @16
2016/01/21 09:36:21 [debug] 17859#0: *20 http filename: "/home/hilmi/fakehost/test2.mp4"
2016/01/21 09:36:21 [debug] 17859#0: *20 add cleanup: 0000000000D1D7D8
2016/01/21 09:36:21 [debug] 17859#0: *20 http static fd: 11
2016/01/21 09:36:21 [debug] 17859#0: *20 http set discard body
2016/01/21 09:36:21 [debug] 17859#0: *20 xslt filter header
2016/01/21 09:36:21 [debug] 17859#0: *20 HTTP/1.1 200 OK
Server: nginx/1.8.0
Date: Thu, 21 Jan 2016 07:36:21 GMT
Content-Type: video/mp4
Content-Length: 1376477
Last-Modified: Wed, 13 Jan 2016 13:13:41 GMT
Connection: keep-alive
ETag: "56964d85-1500dd"
Accept-Ranges: bytes

2016/01/21 09:36:21 [debug] 17859#0: *20 write new buf t:1 f:0 0000000000D1AB98, pos 0000000000D1AB98, size: 244 file: 0, size: 0
2016/01/21 09:36:21 [debug] 17859#0: *20 http write filter: l:0 f:0 s:244
2016/01/21 09:36:21 [debug] 17859#0: *20 http output filter "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 http copy filter: "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 image filter
2016/01/21 09:36:21 [debug] 17859#0: *20 xslt filter body
2016/01/21 09:36:21 [debug] 17859#0: *20 http postpone filter "/test2.mp4?" 00007FFC52527EC0
2016/01/21 09:36:21 [debug] 17859#0: *20 write old buf t:1 f:0 0000000000D1AB98, pos 0000000000D1AB98, size: 244 file: 0, size: 0
2016/01/21 09:36:21 [debug] 17859#0: *20 write new buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 0, size: 1376477
2016/01/21 09:36:21 [debug] 17859#0: *20 http write filter: l:1 f:0 s:1376721
2016/01/21 09:36:21 [debug] 17859#0: *20 http write filter limit 0
2016/01/21 09:36:21 [debug] 17859#0: *20 writev: 244 of 244
2016/01/21 09:36:21 [debug] 17859#0: *20 sendfile: @0 1376477
2016/01/21 09:36:21 [debug] 17859#0: *20 sendfile: 15928 of 1376477 @0
2016/01/21 09:36:21 [debug] 17859#0: *20 http write filter 0000000000D1AD20
2016/01/21 09:36:21 [debug] 17859#0: *20 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 http finalize request: -2, "/test2.mp4?" a:1, c:1
2016/01/21 09:36:21 [debug] 17859#0: *20 event timer add: 3: 60000:1453361841952
2016/01/21 09:36:21 [debug] 17859#0: *20 epoll add event: fd:3 op:3 ev:80002005
2016/01/21 09:36:21 [debug] 17859#0: timer delta: 25
2016/01/21 09:36:21 [debug] 17859#0: worker cycle
2016/01/21 09:36:21 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:21 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:21 [debug] 17859#0: *20 http run request: "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 http writer handler: "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 http output filter "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 http copy filter: "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 image filter
2016/01/21 09:36:21 [debug] 17859#0: *20 xslt filter body
2016/01/21 09:36:21 [debug] 17859#0: *20 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:21 [debug] 17859#0: *20 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 15928, size: 1360549
2016/01/21 09:36:21 [debug] 17859#0: *20 http write filter: l:1 f:0 s:1360549
2016/01/21 09:36:21 [debug] 17859#0: *20 http write filter limit 0
2016/01/21 09:36:21 [debug] 17859#0: *20 sendfile: @15928 1360549
2016/01/21 09:36:21 [debug] 17859#0: *20 sendfile: 34752 of 1360549 @15928
2016/01/21 09:36:21 [debug] 17859#0: *20 http write filter 0000000000D1AD20
2016/01/21 09:36:21 [debug] 17859#0: *20 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:21 [debug] 17859#0: *20 event timer: 3, old: 1453361841952, new: 1453361841976
2016/01/21 09:36:21 [debug] 17859#0: timer delta: 24
2016/01/21 09:36:21 [debug] 17859#0: worker cycle
2016/01/21 09:36:21 [debug] 17859#0: epoll timer: 59976
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *20 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 image filter
2016/01/21 09:36:22 [debug] 17859#0: *20 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *20 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *20 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 50680, size: 1325797
2016/01/21 09:36:22 [debug] 17859#0: *20 http write filter: l:1 f:0 s:1325797
2016/01/21 09:36:22 [debug] 17859#0: *20 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *20 sendfile: @50680 1325797
2016/01/21 09:36:22 [debug] 17859#0: *20 sendfile: 52128 of 1325797 @50680
2016/01/21 09:36:22 [debug] 17859#0: *20 http write filter 0000000000D1AD20
2016/01/21 09:36:22 [debug] 17859#0: *20 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 event timer: 3, old: 1453361841952, new: 1453361842000
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 24
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59952
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *20 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 image filter
2016/01/21 09:36:22 [debug] 17859#0: *20 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *20 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *20 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 102808, size: 1273669
2016/01/21 09:36:22 [debug] 17859#0: *20 http write filter: l:1 f:0 s:1273669
2016/01/21 09:36:22 [debug] 17859#0: *20 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *20 sendfile: @102808 1273669
2016/01/21 09:36:22 [debug] 17859#0: *20 sendfile: 72400 of 1273669 @102808
2016/01/21 09:36:22 [debug] 17859#0: *20 http write filter 0000000000D1AD20
2016/01/21 09:36:22 [debug] 17859#0: *20 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 event timer: 3, old: 1453361841952, new: 1453361842023
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 23
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59929
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:2001 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *20 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http test reading
2016/01/21 09:36:22 [info] 17859#0: *20 client prematurely closed connection while sending response to client, client: 54.75.244.60, server: localhost, request: "GET /test2.mp4 HTTP/1.1", host: "46.165.230.1"
2016/01/21 09:36:22 [debug] 17859#0: *20 http finalize request: 499, "/test2.mp4?" a:1, c:1
2016/01/21 09:36:22 [debug] 17859#0: *20 http terminate request count:1
2016/01/21 09:36:22 [debug] 17859#0: *20 http terminate cleanup count:1 blk:0
2016/01/21 09:36:22 [debug] 17859#0: *20 http posted request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *20 http terminate handler count:1
2016/01/21 09:36:22 [debug] 17859#0: *20 http request count:1 blk:0
2016/01/21 09:36:22 [debug] 17859#0: *20 http close request
2016/01/21 09:36:22 [debug] 17859#0: *20 http log handler
2016/01/21 09:36:22 [debug] 17859#0: *20 run cleanup: 0000000000D1D7D8
2016/01/21 09:36:22 [debug] 17859#0: *20 file cleanup: fd:11
2016/01/21 09:36:22 [debug] 17859#0: *20 free: 0000000000D1C7F0, unused: 0
2016/01/21 09:36:22 [debug] 17859#0: *20 free: 0000000000D1A9A0, unused: 2925
2016/01/21 09:36:22 [debug] 17859#0: *20 close http connection: 3
2016/01/21 09:36:22 [debug] 17859#0: *20 event timer del: 3: 1453361841952
2016/01/21 09:36:22 [debug] 17859#0: *20 reusable connection: 0
2016/01/21 09:36:22 [debug] 17859#0: *20 free: 0000000000CCF130
2016/01/21 09:36:22 [debug] 17859#0: *20 free: 0000000000D37DF0, unused: 24
2016/01/21 09:36:22 [debug] 17859#0: *20 free: 0000000000D37890, unused: 72
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 16
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: -1
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:6 ev:0001 d:00007FDC28C9D010
2016/01/21 09:36:22 [debug] 17859#0: accept on 46.165.230.1:80, ready: 0
2016/01/21 09:36:22 [debug] 17859#0: posix_memalign: 0000000000D37DF0:256 @16
2016/01/21 09:36:22 [debug] 17859#0: *21 accept: 54.75.244.60:45747 fd:3
2016/01/21 09:36:22 [debug] 17859#0: posix_memalign: 0000000000D37890:256 @16
2016/01/21 09:36:22 [debug] 17859#0: *21 event timer add: 3: 60000:1453361842130
2016/01/21 09:36:22 [debug] 17859#0: *21 reusable connection: 1
2016/01/21 09:36:22 [debug] 17859#0: *21 epoll add event: fd:3 op:1 ev:80002001
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 91
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0001 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *21 http wait request handler
2016/01/21 09:36:22 [debug] 17859#0: *21 malloc: 0000000000CCF130:1024
2016/01/21 09:36:22 [debug] 17859#0: *21 recv: fd:3 349 of 1024
2016/01/21 09:36:22 [debug] 17859#0: *21 reusable connection: 0
2016/01/21 09:36:22 [debug] 17859#0: *21 posix_memalign: 0000000000D1C7F0:4096 @16
2016/01/21 09:36:22 [debug] 17859#0: *21 http process request line
2016/01/21 09:36:22 [debug] 17859#0: *21 http request line: "GET /test2.mp4 HTTP/1.1"
2016/01/21 09:36:22 [debug] 17859#0: *21 http uri: "/test2.mp4"
2016/01/21 09:36:22 [debug] 17859#0: *21 http args: ""
2016/01/21 09:36:22 [debug] 17859#0: *21 http exten: "mp4"
2016/01/21 09:36:22 [debug] 17859#0: *21 http process request header line
2016/01/21 09:36:22 [debug] 17859#0: *21 http header: "Host: 46.165.230.1"
2016/01/21 09:36:22 [debug] 17859#0: *21 http header: "User-Agent: Mozilla/5.0 (Linux; Android 5.0; Nexus 6 Build/LRX21O) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.84 Mobile Safari/537.36"
2016/01/21 09:36:22 [debug] 17859#0: *21 http header: "Accept: */*"
2016/01/21 09:36:22 [debug] 17859#0: *21 http header: "Referer: http://46.165.230.1/test2.mp4"
2016/01/21 09:36:22 [debug] 17859#0: *21 http header: "Accept-Encoding: gzip, deflate, sdch"
2016/01/21 09:36:22 [debug] 17859#0: *21 http header: "Accept-Language: en-IN,en-US;q=0.8,en;q=0.6"
2016/01/21 09:36:22 [debug] 17859#0: *21 http header: "Range: bytes=0-1"
2016/01/21 09:36:22 [debug] 17859#0: *21 http header done
2016/01/21 09:36:22 [debug] 17859#0: *21 event timer del: 3: 1453361842130
2016/01/21 09:36:22 [debug] 17859#0: *21 generic phase: 0
2016/01/21 09:36:22 [debug] 17859#0: *21 rewrite phase: 1
2016/01/21 09:36:22 [debug] 17859#0: *21 test location: "/"
2016/01/21 09:36:22 [debug] 17859#0: *21 test location: "50x.html"
2016/01/21 09:36:22 [debug] 17859#0: *21 using configuration "/"
2016/01/21 09:36:22 [debug] 17859#0: *21 http cl:-1 max:1048576
2016/01/21 09:36:22 [debug] 17859#0: *21 rewrite phase: 3
2016/01/21 09:36:22 [debug] 17859#0: *21 post rewrite phase: 4
2016/01/21 09:36:22 [debug] 17859#0: *21 generic phase: 5
2016/01/21 09:36:22 [debug] 17859#0: *21 generic phase: 6
2016/01/21 09:36:22 [debug] 17859#0: *21 generic phase: 7
2016/01/21 09:36:22 [debug] 17859#0: *21 generic phase: 8
2016/01/21 09:36:22 [debug] 17859#0: *21 access phase: 9
2016/01/21 09:36:22 [debug] 17859#0: *21 access phase: 10
2016/01/21 09:36:22 [debug] 17859#0: *21 access phase: 11
2016/01/21 09:36:22 [debug] 17859#0: *21 post access phase: 12
2016/01/21 09:36:22 [debug] 17859#0: *21 content phase: 13
2016/01/21 09:36:22 [debug] 17859#0: *21 content phase: 14
2016/01/21 09:36:22 [debug] 17859#0: *21 content phase: 15
2016/01/21 09:36:22 [debug] 17859#0: *21 content phase: 16
2016/01/21 09:36:22 [debug] 17859#0: *21 content phase: 17
2016/01/21 09:36:22 [debug] 17859#0: *21 content phase: 18
2016/01/21 09:36:22 [debug] 17859#0: *21 http filename: "/home/hilmi/fakehost/test2.mp4"
2016/01/21 09:36:22 [debug] 17859#0: *21 posix_memalign: 0000000000D1A9A0:4096 @16
2016/01/21 09:36:22 [debug] 17859#0: *21 add cleanup: 0000000000D1A9C0
2016/01/21 09:36:22 [debug] 17859#0: *21 http static fd: 11
2016/01/21 09:36:22 [debug] 17859#0: *21 http set discard body
2016/01/21 09:36:22 [debug] 17859#0: *21 xslt filter header
2016/01/21 09:36:22 [debug] 17859#0: *21 HTTP/1.1 206 Partial Content
Server: nginx/1.8.0
Date: Thu, 21 Jan 2016 07:36:22 GMT
Content-Type: video/mp4
Content-Length: 2
Last-Modified: Wed, 13 Jan 2016 13:13:41 GMT
Connection: keep-alive
ETag: "56964d85-1500dd"
Content-Range: bytes 0-1/1376477

2016/01/21 09:36:22 [debug] 17859#0: *21 write new buf t:1 f:0 0000000000D1AC38, pos 0000000000D1AC38, size: 263 file: 0, size: 0
2016/01/21 09:36:22 [debug] 17859#0: *21 http write filter: l:0 f:0 s:263
2016/01/21 09:36:22 [debug] 17859#0: *21 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *21 http range body buf: 0-1376477
2016/01/21 09:36:22 [debug] 17859#0: *21 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *21 image filter
2016/01/21 09:36:22 [debug] 17859#0: *21 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *21 http postpone filter "/test2.mp4?" 00007FFC52527EC0
2016/01/21 09:36:22 [debug] 17859#0: *21 write old buf t:1 f:0 0000000000D1AC38, pos 0000000000D1AC38, size: 263 file: 0, size: 0
2016/01/21 09:36:22 [debug] 17859#0: *21 write new buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 0, size: 2
2016/01/21 09:36:22 [debug] 17859#0: *21 http write filter: l:1 f:0 s:265
2016/01/21 09:36:22 [debug] 17859#0: *21 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *21 writev: 263 of 263
2016/01/21 09:36:22 [debug] 17859#0: *21 sendfile: @0 2
2016/01/21 09:36:22 [debug] 17859#0: *21 sendfile: 2 of 2 @0
2016/01/21 09:36:22 [debug] 17859#0: *21 http write filter 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *21 http copy filter: 0 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *21 http finalize request: 0, "/test2.mp4?" a:1, c:1
2016/01/21 09:36:22 [debug] 17859#0: *21 set http keepalive handler
2016/01/21 09:36:22 [debug] 17859#0: *21 http close request
2016/01/21 09:36:22 [debug] 17859#0: *21 http log handler
2016/01/21 09:36:22 [debug] 17859#0: *21 run cleanup: 0000000000D1A9C0
2016/01/21 09:36:22 [debug] 17859#0: *21 file cleanup: fd:11
2016/01/21 09:36:22 [debug] 17859#0: *21 free: 0000000000D1C7F0, unused: 11
2016/01/21 09:36:22 [debug] 17859#0: *21 free: 0000000000D1A9A0, unused: 2713
2016/01/21 09:36:22 [debug] 17859#0: *21 free: 0000000000CCF130
2016/01/21 09:36:22 [debug] 17859#0: *21 hc free: 0000000000000000 0
2016/01/21 09:36:22 [debug] 17859#0: *21 hc busy: 0000000000000000 0
2016/01/21 09:36:22 [debug] 17859#0: *21 tcp_nodelay
2016/01/21 09:36:22 [debug] 17859#0: *21 reusable connection: 1
2016/01/21 09:36:22 [debug] 17859#0: *21 event timer add: 3: 65000:1453361847157
2016/01/21 09:36:22 [debug] 17859#0: *21 post event 0000000000D8E160
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 27
2016/01/21 09:36:22 [debug] 17859#0: posted event 0000000000D8E160
2016/01/21 09:36:22 [debug] 17859#0: *21 delete posted event 0000000000D8E160
2016/01/21 09:36:22 [debug] 17859#0: *21 http keepalive handler
2016/01/21 09:36:22 [debug] 17859#0: *21 malloc: 0000000000CCF130:1024
2016/01/21 09:36:22 [debug] 17859#0: *21 recv: fd:3 -1 of 1024
2016/01/21 09:36:22 [debug] 17859#0: *21 recv() not ready (11: Resource temporarily unavailable)
2016/01/21 09:36:22 [debug] 17859#0: *21 free: 0000000000CCF130
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 65000
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:2001 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *21 http keepalive handler
2016/01/21 09:36:22 [debug] 17859#0: *21 malloc: 0000000000CCF130:1024
2016/01/21 09:36:22 [debug] 17859#0: *21 recv: fd:3 0 of 1024
2016/01/21 09:36:22 [info] 17859#0: *21 client 54.75.244.60 closed keepalive connection
2016/01/21 09:36:22 [debug] 17859#0: *21 close http connection: 3
2016/01/21 09:36:22 [debug] 17859#0: *21 event timer del: 3: 1453361847157
2016/01/21 09:36:22 [debug] 17859#0: *21 reusable connection: 0
2016/01/21 09:36:22 [debug] 17859#0: *21 free: 0000000000CCF130
2016/01/21 09:36:22 [debug] 17859#0: *21 free: 0000000000D37DF0, unused: 24
2016/01/21 09:36:22 [debug] 17859#0: *21 free: 0000000000D37890, unused: 72
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 49
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: -1
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:6 ev:0001 d:00007FDC28C9D010
2016/01/21 09:36:22 [debug] 17859#0: accept on 46.165.230.1:80, ready: 0
2016/01/21 09:36:22 [debug] 17859#0: posix_memalign: 0000000000D37DF0:256 @16
2016/01/21 09:36:22 [debug] 17859#0: *22 accept: 46.249.62.120:36166 fd:3
2016/01/21 09:36:22 [debug] 17859#0: posix_memalign: 0000000000D37890:256 @16
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer add: 3: 60000:1453361842263
2016/01/21 09:36:22 [debug] 17859#0: *22 reusable connection: 1
2016/01/21 09:36:22 [debug] 17859#0: *22 epoll add event: fd:3 op:1 ev:80002001
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 57
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0001 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http wait request handler
2016/01/21 09:36:22 [debug] 17859#0: *22 malloc: 0000000000CCF130:1024
2016/01/21 09:36:22 [debug] 17859#0: *22 recv: fd:3 143 of 1024
2016/01/21 09:36:22 [debug] 17859#0: *22 reusable connection: 0
2016/01/21 09:36:22 [debug] 17859#0: *22 posix_memalign: 0000000000D1C7F0:4096 @16
2016/01/21 09:36:22 [debug] 17859#0: *22 http process request line
2016/01/21 09:36:22 [debug] 17859#0: *22 http request line: "GET /test2.mp4 HTTP/1.1"
2016/01/21 09:36:22 [debug] 17859#0: *22 http uri: "/test2.mp4"
2016/01/21 09:36:22 [debug] 17859#0: *22 http args: ""
2016/01/21 09:36:22 [debug] 17859#0: *22 http exten: "mp4"
2016/01/21 09:36:22 [debug] 17859#0: *22 http process request header line
2016/01/21 09:36:22 [debug] 17859#0: *22 http header: "User-Agent: stagefright/1.2 (Linux;Android 5.0)"
2016/01/21 09:36:22 [debug] 17859#0: *22 http header: "Host: 46.165.230.1"
2016/01/21 09:36:22 [debug] 17859#0: *22 http header: "Connection: Keep-Alive"
2016/01/21 09:36:22 [debug] 17859#0: *22 http header: "Accept-Encoding: gzip"
2016/01/21 09:36:22 [debug] 17859#0: *22 http header done
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer del: 3: 1453361842263
2016/01/21 09:36:22 [debug] 17859#0: *22 generic phase: 0
2016/01/21 09:36:22 [debug] 17859#0: *22 rewrite phase: 1
2016/01/21 09:36:22 [debug] 17859#0: *22 test location: "/"
2016/01/21 09:36:22 [debug] 17859#0: *22 test location: "50x.html"
2016/01/21 09:36:22 [debug] 17859#0: *22 using configuration "/"
2016/01/21 09:36:22 [debug] 17859#0: *22 http cl:-1 max:1048576
2016/01/21 09:36:22 [debug] 17859#0: *22 rewrite phase: 3
2016/01/21 09:36:22 [debug] 17859#0: *22 post rewrite phase: 4
2016/01/21 09:36:22 [debug] 17859#0: *22 generic phase: 5
2016/01/21 09:36:22 [debug] 17859#0: *22 generic phase: 6
2016/01/21 09:36:22 [debug] 17859#0: *22 generic phase: 7
2016/01/21 09:36:22 [debug] 17859#0: *22 generic phase: 8
2016/01/21 09:36:22 [debug] 17859#0: *22 access phase: 9
2016/01/21 09:36:22 [debug] 17859#0: *22 access phase: 10
2016/01/21 09:36:22 [debug] 17859#0: *22 access phase: 11
2016/01/21 09:36:22 [debug] 17859#0: *22 post access phase: 12
2016/01/21 09:36:22 [debug] 17859#0: *22 content phase: 13
2016/01/21 09:36:22 [debug] 17859#0: *22 content phase: 14
2016/01/21 09:36:22 [debug] 17859#0: *22 content phase: 15
2016/01/21 09:36:22 [debug] 17859#0: *22 content phase: 16
2016/01/21 09:36:22 [debug] 17859#0: *22 content phase: 17
2016/01/21 09:36:22 [debug] 17859#0: *22 content phase: 18
2016/01/21 09:36:22 [debug] 17859#0: *22 http filename: "/home/hilmi/fakehost/test2.mp4"
2016/01/21 09:36:22 [debug] 17859#0: *22 posix_memalign: 0000000000D1A9A0:4096 @16
2016/01/21 09:36:22 [debug] 17859#0: *22 add cleanup: 0000000000D1D7D0
2016/01/21 09:36:22 [debug] 17859#0: *22 http static fd: 11
2016/01/21 09:36:22 [debug] 17859#0: *22 http set discard body
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter header
2016/01/21 09:36:22 [debug] 17859#0: *22 HTTP/1.1 200 OK
Server: nginx/1.8.0
Date: Thu, 21 Jan 2016 07:36:22 GMT
Content-Type: video/mp4
Content-Length: 1376477
Last-Modified: Wed, 13 Jan 2016 13:13:41 GMT
Connection: keep-alive
ETag: "56964d85-1500dd"
Accept-Ranges: bytes

2016/01/21 09:36:22 [debug] 17859#0: *22 write new buf t:1 f:0 0000000000D1AB78, pos 0000000000D1AB78, size: 244 file: 0, size: 0
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:0 f:0 s:244
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 00007FFC52527EC0
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:1 f:0 0000000000D1AB78, pos 0000000000D1AB78, size: 244 file: 0, size: 0
2016/01/21 09:36:22 [debug] 17859#0: *22 write new buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 0, size: 1376477
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1376721
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 writev: 244 of 244
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @0 1376477
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 15928 of 1376477 @0
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http finalize request: -2, "/test2.mp4?" a:1, c:1
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer add: 3: 60000:1453361842264
2016/01/21 09:36:22 [debug] 17859#0: *22 epoll add event: fd:3 op:3 ev:80002005
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 1
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 15928, size: 1360549
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1360549
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @15928 1360549
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 28960 of 1360549 @15928
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842292
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 28
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59972
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 44888, size: 1331589
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1331589
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @44888 1331589
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 46336 of 1331589 @44888
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842309
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 17
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59955
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 91224, size: 1285253
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1285253
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @91224 1285253
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 40544 of 1285253 @91224
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842355
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 46
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59909
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 131768, size: 1244709
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1244709
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @131768 1244709
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 46336 of 1244709 @131768
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842388
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 33
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59876
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 178104, size: 1198373
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1198373
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @178104 1198373
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 46336 of 1198373 @178104
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842439
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 51
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59825
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 224440, size: 1152037
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1152037
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @224440 1152037
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 46336 of 1152037 @224440
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842464
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 25
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59800
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 270776, size: 1105701
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1105701
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @270776 1105701
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 55024 of 1105701 @270776
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842475
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 11
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59789
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 325800, size: 1050677
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:1050677
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @325800 1050677
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 55024 of 1050677 @325800
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842496
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 21
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59768
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 380824, size: 995653
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:995653
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @380824 995653
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 55024 of 995653 @380824
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer: 3, old: 1453361842264, new: 1453361842545
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 49
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59719
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 image filter
2016/01/21 09:36:22 [debug] 17859#0: *22 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *22 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *22 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 435848, size: 940629
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter: l:1 f:0 s:940629
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: @435848 940629
2016/01/21 09:36:22 [debug] 17859#0: *22 sendfile: 60816 of 940629 @435848
2016/01/21 09:36:22 [debug] 17859#0: *22 http write filter 0000000000D1AD00
2016/01/21 09:36:22 [debug] 17859#0: *22 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer del: 3: 1453361842264
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer add: 3: 60000:1453361842583
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 38
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:2019 d:00007FDC28C9D1C1
2016/01/21 09:36:22 [debug] 17859#0: epoll_wait() error on fd:3 ev:2019
2016/01/21 09:36:22 [debug] 17859#0: *22 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http test reading
2016/01/21 09:36:22 [info] 17859#0: *22 client prematurely closed connection (104: Connection reset by peer) while sending response to client, client: 46.249.62.120, server: localhost, request: "GET /test2.mp4 HTTP/1.1", host: "46.165.230.1"
2016/01/21 09:36:22 [debug] 17859#0: *22 http finalize request: 499, "/test2.mp4?" a:1, c:1
2016/01/21 09:36:22 [debug] 17859#0: *22 http terminate request count:1
2016/01/21 09:36:22 [debug] 17859#0: *22 http terminate cleanup count:1 blk:0
2016/01/21 09:36:22 [debug] 17859#0: *22 http posted request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *22 http terminate handler count:1
2016/01/21 09:36:22 [debug] 17859#0: *22 http request count:1 blk:0
2016/01/21 09:36:22 [debug] 17859#0: *22 http close request
2016/01/21 09:36:22 [debug] 17859#0: *22 http log handler
2016/01/21 09:36:22 [debug] 17859#0: *22 run cleanup: 0000000000D1D7D0
2016/01/21 09:36:22 [debug] 17859#0: *22 file cleanup: fd:11
2016/01/21 09:36:22 [debug] 17859#0: *22 free: 0000000000D1C7F0, unused: 8
2016/01/21 09:36:22 [debug] 17859#0: *22 free: 0000000000D1A9A0, unused: 3055
2016/01/21 09:36:22 [debug] 17859#0: *22 close http connection: 3
2016/01/21 09:36:22 [debug] 17859#0: *22 event timer del: 3: 1453361842583
2016/01/21 09:36:22 [debug] 17859#0: *22 reusable connection: 0
2016/01/21 09:36:22 [debug] 17859#0: *22 free: 0000000000CCF130
2016/01/21 09:36:22 [debug] 17859#0: *22 free: 0000000000D37DF0, unused: 24
2016/01/21 09:36:22 [debug] 17859#0: *22 free: 0000000000D37890, unused: 72
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 59
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: -1
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:6 ev:0001 d:00007FDC28C9D010
2016/01/21 09:36:22 [debug] 17859#0: accept on 46.165.230.1:80, ready: 0
2016/01/21 09:36:22 [debug] 17859#0: posix_memalign: 0000000000D37DF0:256 @16
2016/01/21 09:36:22 [debug] 17859#0: *23 accept: 46.249.62.120:58116 fd:3
2016/01/21 09:36:22 [debug] 17859#0: posix_memalign: 0000000000D37890:256 @16
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer add: 3: 60000:1453361842664
2016/01/21 09:36:22 [debug] 17859#0: *23 reusable connection: 1
2016/01/21 09:36:22 [debug] 17859#0: *23 epoll add event: fd:3 op:1 ev:80002001
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 22
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0001 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *23 http wait request handler
2016/01/21 09:36:22 [debug] 17859#0: *23 malloc: 0000000000CCF130:1024
2016/01/21 09:36:22 [debug] 17859#0: *23 recv: fd:3 166 of 1024
2016/01/21 09:36:22 [debug] 17859#0: *23 reusable connection: 0
2016/01/21 09:36:22 [debug] 17859#0: *23 posix_memalign: 0000000000D1C7F0:4096 @16
2016/01/21 09:36:22 [debug] 17859#0: *23 http process request line
2016/01/21 09:36:22 [debug] 17859#0: *23 http request line: "GET /test2.mp4 HTTP/1.1"
2016/01/21 09:36:22 [debug] 17859#0: *23 http uri: "/test2.mp4"
2016/01/21 09:36:22 [debug] 17859#0: *23 http args: ""
2016/01/21 09:36:22 [debug] 17859#0: *23 http exten: "mp4"
2016/01/21 09:36:22 [debug] 17859#0: *23 http process request header line
2016/01/21 09:36:22 [debug] 17859#0: *23 http header: "User-Agent: stagefright/1.2 (Linux;Android 5.0)"
2016/01/21 09:36:22 [debug] 17859#0: *23 http header: "Range: bytes=1114333-"
2016/01/21 09:36:22 [debug] 17859#0: *23 http header: "Host: 46.165.230.1"
2016/01/21 09:36:22 [debug] 17859#0: *23 http header: "Connection: Keep-Alive"
2016/01/21 09:36:22 [debug] 17859#0: *23 http header: "Accept-Encoding: gzip"
2016/01/21 09:36:22 [debug] 17859#0: *23 http header done
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer del: 3: 1453361842664
2016/01/21 09:36:22 [debug] 17859#0: *23 generic phase: 0
2016/01/21 09:36:22 [debug] 17859#0: *23 rewrite phase: 1
2016/01/21 09:36:22 [debug] 17859#0: *23 test location: "/"
2016/01/21 09:36:22 [debug] 17859#0: *23 test location: "50x.html"
2016/01/21 09:36:22 [debug] 17859#0: *23 using configuration "/"
2016/01/21 09:36:22 [debug] 17859#0: *23 http cl:-1 max:1048576
2016/01/21 09:36:22 [debug] 17859#0: *23 rewrite phase: 3
2016/01/21 09:36:22 [debug] 17859#0: *23 post rewrite phase: 4
2016/01/21 09:36:22 [debug] 17859#0: *23 generic phase: 5
2016/01/21 09:36:22 [debug] 17859#0: *23 generic phase: 6
2016/01/21 09:36:22 [debug] 17859#0: *23 generic phase: 7
2016/01/21 09:36:22 [debug] 17859#0: *23 generic phase: 8
2016/01/21 09:36:22 [debug] 17859#0: *23 access phase: 9
2016/01/21 09:36:22 [debug] 17859#0: *23 access phase: 10
2016/01/21 09:36:22 [debug] 17859#0: *23 access phase: 11
2016/01/21 09:36:22 [debug] 17859#0: *23 post access phase: 12
2016/01/21 09:36:22 [debug] 17859#0: *23 content phase: 13
2016/01/21 09:36:22 [debug] 17859#0: *23 content phase: 14
2016/01/21 09:36:22 [debug] 17859#0: *23 content phase: 15
2016/01/21 09:36:22 [debug] 17859#0: *23 content phase: 16
2016/01/21 09:36:22 [debug] 17859#0: *23 content phase: 17
2016/01/21 09:36:22 [debug] 17859#0: *23 content phase: 18
2016/01/21 09:36:22 [debug] 17859#0: *23 http filename: "/home/hilmi/fakehost/test2.mp4"
2016/01/21 09:36:22 [debug] 17859#0: *23 posix_memalign: 0000000000D1A9A0:4096 @16
2016/01/21 09:36:22 [debug] 17859#0: *23 add cleanup: 0000000000D1D7D8
2016/01/21 09:36:22 [debug] 17859#0: *23 http static fd: 11
2016/01/21 09:36:22 [debug] 17859#0: *23 http set discard body
2016/01/21 09:36:22 [debug] 17859#0: *23 xslt filter header
2016/01/21 09:36:22 [debug] 17859#0: *23 HTTP/1.1 206 Partial Content
Server: nginx/1.8.0
Date: Thu, 21 Jan 2016 07:36:22 GMT
Content-Type: video/mp4
Content-Length: 262144
Last-Modified: Wed, 13 Jan 2016 13:13:41 GMT
Connection: keep-alive
ETag: "56964d85-1500dd"
Content-Range: bytes 1114333-1376476/1376477

2016/01/21 09:36:22 [debug] 17859#0: *23 write new buf t:1 f:0 0000000000D1AC20, pos 0000000000D1AC20, size: 280 file: 0, size: 0
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter: l:0 f:0 s:280
2016/01/21 09:36:22 [debug] 17859#0: *23 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http range body buf: 0-1376477
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 image filter
2016/01/21 09:36:22 [debug] 17859#0: *23 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *23 http postpone filter "/test2.mp4?" 00007FFC52527EC0
2016/01/21 09:36:22 [debug] 17859#0: *23 write old buf t:1 f:0 0000000000D1AC20, pos 0000000000D1AC20, size: 280 file: 0, size: 0
2016/01/21 09:36:22 [debug] 17859#0: *23 write new buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 1114333, size: 262144
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter: l:1 f:0 s:262424
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *23 writev: 280 of 280
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: @1114333 262144
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: 15928 of 262144 @1114333
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter 0000000000D1ADC8
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http finalize request: -2, "/test2.mp4?" a:1, c:1
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer add: 3: 60000:1453361842664
2016/01/21 09:36:22 [debug] 17859#0: *23 epoll add event: fd:3 op:3 ev:80002005
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 0
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *23 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 image filter
2016/01/21 09:36:22 [debug] 17859#0: *23 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *23 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *23 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 1130261, size: 246216
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter: l:1 f:0 s:246216
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: @1130261 246216
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: 26064 of 246216 @1130261
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter 0000000000D1ADC8
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer: 3, old: 1453361842664, new: 1453361842679
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 15
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59985
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *23 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 image filter
2016/01/21 09:36:22 [debug] 17859#0: *23 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *23 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *23 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 1156325, size: 220152
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter: l:1 f:0 s:220152
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: @1156325 220152
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: 43440 of 220152 @1156325
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter 0000000000D1ADC8
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer: 3, old: 1453361842664, new: 1453361842696
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 17
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59968
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *23 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 image filter
2016/01/21 09:36:22 [debug] 17859#0: *23 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *23 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *23 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 1199765, size: 176712
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter: l:1 f:0 s:176712
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: @1199765 176712
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: 75296 of 176712 @1199765
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter 0000000000D1ADC8
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer: 3, old: 1453361842664, new: 1453361842711
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 15
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59953
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *23 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 image filter
2016/01/21 09:36:22 [debug] 17859#0: *23 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *23 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *23 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 1275061, size: 101416
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter: l:1 f:0 s:101416
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: @1275061 101416
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: 81088 of 101416 @1275061
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter 0000000000D1ADC8
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer output filter: -2, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer: 3, old: 1453361842664, new: 1453361842742
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 31
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 59922
2016/01/21 09:36:22 [debug] 17859#0: epoll: fd:3 ev:0004 d:00007FDC28C9D1C0
2016/01/21 09:36:22 [debug] 17859#0: *23 http run request: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer handler: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http output filter "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 image filter
2016/01/21 09:36:22 [debug] 17859#0: *23 xslt filter body
2016/01/21 09:36:22 [debug] 17859#0: *23 http postpone filter "/test2.mp4?" 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *23 write old buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 1356149, size: 20328
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter: l:1 f:0 s:20328
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter limit 0
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: @1356149 20328
2016/01/21 09:36:22 [debug] 17859#0: *23 sendfile: 20328 of 20328 @1356149
2016/01/21 09:36:22 [debug] 17859#0: *23 http write filter 0000000000000000
2016/01/21 09:36:22 [debug] 17859#0: *23 http copy filter: 0 "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer output filter: 0, "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http writer done: "/test2.mp4?"
2016/01/21 09:36:22 [debug] 17859#0: *23 http finalize request: 0, "/test2.mp4?" a:1, c:1
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer del: 3: 1453361842664
2016/01/21 09:36:22 [debug] 17859#0: *23 set http keepalive handler
2016/01/21 09:36:22 [debug] 17859#0: *23 http close request
2016/01/21 09:36:22 [debug] 17859#0: *23 http log handler
2016/01/21 09:36:22 [debug] 17859#0: *23 run cleanup: 0000000000D1D7D8
2016/01/21 09:36:22 [debug] 17859#0: *23 file cleanup: fd:11
2016/01/21 09:36:22 [debug] 17859#0: *23 free: 0000000000D1C7F0, unused: 0
2016/01/21 09:36:22 [debug] 17859#0: *23 free: 0000000000D1A9A0, unused: 2855
2016/01/21 09:36:22 [debug] 17859#0: *23 free: 0000000000CCF130
2016/01/21 09:36:22 [debug] 17859#0: *23 hc free: 0000000000000000 0
2016/01/21 09:36:22 [debug] 17859#0: *23 hc busy: 0000000000000000 0
2016/01/21 09:36:22 [debug] 17859#0: *23 tcp_nodelay
2016/01/21 09:36:22 [debug] 17859#0: *23 reusable connection: 1
2016/01/21 09:36:22 [debug] 17859#0: *23 event timer add: 3: 65000:1453361847789
2016/01/21 09:36:22 [debug] 17859#0: *23 post event 0000000000D8E160
2016/01/21 09:36:22 [debug] 17859#0: timer delta: 47
2016/01/21 09:36:22 [debug] 17859#0: posted event 0000000000D8E160
2016/01/21 09:36:22 [debug] 17859#0: *23 delete posted event 0000000000D8E160
2016/01/21 09:36:22 [debug] 17859#0: *23 http keepalive handler
2016/01/21 09:36:22 [debug] 17859#0: *23 malloc: 0000000000CCF130:1024
2016/01/21 09:36:22 [debug] 17859#0: *23 recv: fd:3 -1 of 1024
2016/01/21 09:36:22 [debug] 17859#0: *23 recv() not ready (11: Resource temporarily unavailable)
2016/01/21 09:36:22 [debug] 17859#0: *23 free: 0000000000CCF130
2016/01/21 09:36:22 [debug] 17859#0: worker cycle
2016/01/21 09:36:22 [debug] 17859#0: epoll timer: 65000


And this is what i get if i try it with a dns name:

2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:6 ev:0001 d:00007FDC28C9D010
2016/01/21 09:28:06 [debug] 17859#0: accept on 46.165.230.1:80, ready: 0
2016/01/21 09:28:06 [debug] 17859#0: posix_memalign: 0000000000D37DF0:256 @16
2016/01/21 09:28:06 [debug] 17859#0: *17 accept: 54.75.244.135:53525 fd:3
2016/01/21 09:28:06 [debug] 17859#0: posix_memalign: 0000000000D37890:256 @16
2016/01/21 09:28:06 [debug] 17859#0: *17 event timer add: 3: 60000:1453361346218
2016/01/21 09:28:06 [debug] 17859#0: *17 reusable connection: 1
2016/01/21 09:28:06 [debug] 17859#0: *17 epoll add event: fd:3 op:1 ev:80002001
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 162354
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:3 ev:0001 d:00007FDC28C9D370
2016/01/21 09:28:06 [debug] 17859#0: *17 http wait request handler
2016/01/21 09:28:06 [debug] 17859#0: *17 malloc: 0000000000CCF130:1024
2016/01/21 09:28:06 [debug] 17859#0: *17 recv: fd:3 476 of 1024
2016/01/21 09:28:06 [debug] 17859#0: *17 reusable connection: 0
2016/01/21 09:28:06 [debug] 17859#0: *17 posix_memalign: 0000000000D1C7F0:4096 @16
2016/01/21 09:28:06 [debug] 17859#0: *17 http process request line
2016/01/21 09:28:06 [debug] 17859#0: *17 http request line: "GET /test2.mp4 HTTP/1.1"
2016/01/21 09:28:06 [debug] 17859#0: *17 http uri: "/test2.mp4"
2016/01/21 09:28:06 [debug] 17859#0: *17 http args: ""
2016/01/21 09:28:06 [debug] 17859#0: *17 http exten: "mp4"
2016/01/21 09:28:06 [debug] 17859#0: *17 http process request header line
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "Host: demo_vod2.chickenkiller.com"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "Cache-Control: max-age=0"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "Upgrade-Insecure-Requests: 1"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "User-Agent: Mozilla/5.0 (Linux; Android 5.0; Nexus 6 Build/LRX21O) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.84 Mobile Safari/537.36"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "Accept-Encoding: gzip, deflate, sdch"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "Accept-Language: en-US,en;q=0.8"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "Range: bytes=91224-91224"
2016/01/21 09:28:06 [debug] 17859#0: *17 http header: "If-Range: "56964d85-1500dd""
2016/01/21 09:28:06 [debug] 17859#0: *17 http header done
2016/01/21 09:28:06 [debug] 17859#0: *17 event timer del: 3: 1453361346218
2016/01/21 09:28:06 [debug] 17859#0: *17 generic phase: 0
2016/01/21 09:28:06 [debug] 17859#0: *17 rewrite phase: 1
2016/01/21 09:28:06 [debug] 17859#0: *17 test location: "/"
2016/01/21 09:28:06 [debug] 17859#0: *17 test location: "50x.html"
2016/01/21 09:28:06 [debug] 17859#0: *17 using configuration "/"
2016/01/21 09:28:06 [debug] 17859#0: *17 http cl:-1 max:1048576
2016/01/21 09:28:06 [debug] 17859#0: *17 rewrite phase: 3
2016/01/21 09:28:06 [debug] 17859#0: *17 post rewrite phase: 4
2016/01/21 09:28:06 [debug] 17859#0: *17 generic phase: 5
2016/01/21 09:28:06 [debug] 17859#0: *17 generic phase: 6
2016/01/21 09:28:06 [debug] 17859#0: *17 generic phase: 7
2016/01/21 09:28:06 [debug] 17859#0: *17 generic phase: 8
2016/01/21 09:28:06 [debug] 17859#0: *17 access phase: 9
2016/01/21 09:28:06 [debug] 17859#0: *17 access phase: 10
2016/01/21 09:28:06 [debug] 17859#0: *17 access phase: 11
2016/01/21 09:28:06 [debug] 17859#0: *17 post access phase: 12
2016/01/21 09:28:06 [debug] 17859#0: *17 content phase: 13
2016/01/21 09:28:06 [debug] 17859#0: *17 content phase: 14
2016/01/21 09:28:06 [debug] 17859#0: *17 content phase: 15
2016/01/21 09:28:06 [debug] 17859#0: *17 content phase: 16
2016/01/21 09:28:06 [debug] 17859#0: *17 content phase: 17
2016/01/21 09:28:06 [debug] 17859#0: *17 content phase: 18
2016/01/21 09:28:06 [debug] 17859#0: *17 posix_memalign: 0000000000D1A9A0:4096 @16
2016/01/21 09:28:06 [debug] 17859#0: *17 http filename: "/home/hilmi/fakehost/test2.mp4"
2016/01/21 09:28:06 [debug] 17859#0: *17 add cleanup: 0000000000D1A9E0
2016/01/21 09:28:06 [debug] 17859#0: *17 http static fd: 11
2016/01/21 09:28:06 [debug] 17859#0: *17 http set discard body
2016/01/21 09:28:06 [debug] 17859#0: *17 xslt filter header
2016/01/21 09:28:06 [debug] 17859#0: *17 http ir:"56964d85-1500dd" etag:"56964d85-1500dd"
2016/01/21 09:28:06 [debug] 17859#0: *17 HTTP/1.1 206 Partial Content
Server: nginx/1.8.0
Date: Thu, 21 Jan 2016 07:28:06 GMT
Content-Type: video/mp4
Content-Length: 1
Last-Modified: Wed, 13 Jan 2016 13:13:41 GMT
Connection: keep-alive
ETag: "56964d85-1500dd"
Content-Range: bytes 91224-91224/1376477

2016/01/21 09:28:06 [debug] 17859#0: *17 write new buf t:1 f:0 0000000000D1AC58, pos 0000000000D1AC58, size: 271 file: 0, size: 0
2016/01/21 09:28:06 [debug] 17859#0: *17 http write filter: l:0 f:0 s:271
2016/01/21 09:28:06 [debug] 17859#0: *17 http output filter "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *17 http range body buf: 0-1376477
2016/01/21 09:28:06 [debug] 17859#0: *17 http copy filter: "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *17 image filter
2016/01/21 09:28:06 [debug] 17859#0: *17 xslt filter body
2016/01/21 09:28:06 [debug] 17859#0: *17 http postpone filter "/test2.mp4?" 00007FFC52527EC0
2016/01/21 09:28:06 [debug] 17859#0: *17 write old buf t:1 f:0 0000000000D1AC58, pos 0000000000D1AC58, size: 271 file: 0, size: 0
2016/01/21 09:28:06 [debug] 17859#0: *17 write new buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 91224, size: 1
2016/01/21 09:28:06 [debug] 17859#0: *17 http write filter: l:1 f:0 s:272
2016/01/21 09:28:06 [debug] 17859#0: *17 http write filter limit 0
2016/01/21 09:28:06 [debug] 17859#0: *17 writev: 271 of 271
2016/01/21 09:28:06 [debug] 17859#0: *17 sendfile: @91224 1
2016/01/21 09:28:06 [debug] 17859#0: *17 sendfile: 1 of 1 @91224
2016/01/21 09:28:06 [debug] 17859#0: *17 http write filter 0000000000000000
2016/01/21 09:28:06 [debug] 17859#0: *17 http copy filter: 0 "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *17 http finalize request: 0, "/test2.mp4?" a:1, c:1
2016/01/21 09:28:06 [debug] 17859#0: *17 set http keepalive handler
2016/01/21 09:28:06 [debug] 17859#0: *17 http close request
2016/01/21 09:28:06 [debug] 17859#0: *17 http log handler
2016/01/21 09:28:06 [debug] 17859#0: *17 run cleanup: 0000000000D1A9E0
2016/01/21 09:28:06 [debug] 17859#0: *17 file cleanup: fd:11
2016/01/21 09:28:06 [debug] 17859#0: *17 free: 0000000000D1C7F0, unused: 3
2016/01/21 09:28:06 [debug] 17859#0: *17 free: 0000000000D1A9A0, unused: 2700
2016/01/21 09:28:06 [debug] 17859#0: *17 free: 0000000000CCF130
2016/01/21 09:28:06 [debug] 17859#0: *17 hc free: 0000000000000000 0
2016/01/21 09:28:06 [debug] 17859#0: *17 hc busy: 0000000000000000 0
2016/01/21 09:28:06 [debug] 17859#0: *17 tcp_nodelay
2016/01/21 09:28:06 [debug] 17859#0: *17 reusable connection: 1
2016/01/21 09:28:06 [debug] 17859#0: *17 event timer add: 3: 65000:1453361351244
2016/01/21 09:28:06 [debug] 17859#0: *17 post event 0000000000D8E230
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 26
2016/01/21 09:28:06 [debug] 17859#0: posted event 0000000000D8E230
2016/01/21 09:28:06 [debug] 17859#0: *17 delete posted event 0000000000D8E230
2016/01/21 09:28:06 [debug] 17859#0: *17 http keepalive handler
2016/01/21 09:28:06 [debug] 17859#0: *17 malloc: 0000000000CCF130:1024
2016/01/21 09:28:06 [debug] 17859#0: *17 recv: fd:3 -1 of 1024
2016/01/21 09:28:06 [debug] 17859#0: *17 recv() not ready (11: Resource temporarily unavailable)
2016/01/21 09:28:06 [debug] 17859#0: *17 free: 0000000000CCF130
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: 65000
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:3 ev:2001 d:00007FDC28C9D370
2016/01/21 09:28:06 [debug] 17859#0: *17 http keepalive handler
2016/01/21 09:28:06 [debug] 17859#0: *17 malloc: 0000000000CCF130:1024
2016/01/21 09:28:06 [debug] 17859#0: *17 recv: fd:3 0 of 1024
2016/01/21 09:28:06 [info] 17859#0: *17 client 54.75.244.135 closed keepalive connection
2016/01/21 09:28:06 [debug] 17859#0: *17 close http connection: 3
2016/01/21 09:28:06 [debug] 17859#0: *17 event timer del: 3: 1453361351244
2016/01/21 09:28:06 [debug] 17859#0: *17 reusable connection: 0
2016/01/21 09:28:06 [debug] 17859#0: *17 free: 0000000000CCF130
2016/01/21 09:28:06 [debug] 17859#0: *17 free: 0000000000D37DF0, unused: 24
2016/01/21 09:28:06 [debug] 17859#0: *17 free: 0000000000D37890, unused: 72
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 50
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: -1
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:6 ev:0001 d:00007FDC28C9D010
2016/01/21 09:28:06 [debug] 17859#0: accept on 46.165.230.1:80, ready: 0
2016/01/21 09:28:06 [debug] 17859#0: posix_memalign: 0000000000D37DF0:256 @16
2016/01/21 09:28:06 [debug] 17859#0: *18 accept: 54.75.244.135:53526 fd:3
2016/01/21 09:28:06 [debug] 17859#0: posix_memalign: 0000000000D37890:256 @16
2016/01/21 09:28:06 [debug] 17859#0: *18 event timer add: 3: 60000:1453361346416
2016/01/21 09:28:06 [debug] 17859#0: *18 reusable connection: 1
2016/01/21 09:28:06 [debug] 17859#0: *18 epoll add event: fd:3 op:1 ev:80002001
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 122
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: 60000
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:6 ev:0001 d:00007FDC28C9D010
2016/01/21 09:28:06 [debug] 17859#0: accept on 46.165.230.1:80, ready: 0
2016/01/21 09:28:06 [debug] 17859#0: posix_memalign: 0000000000D1A310:256 @16
2016/01/21 09:28:06 [debug] 17859#0: *19 accept: 54.75.244.135:53527 fd:11
2016/01/21 09:28:06 [debug] 17859#0: posix_memalign: 0000000000D1A420:256 @16
2016/01/21 09:28:06 [debug] 17859#0: *19 event timer add: 11: 60000:1453361346438
2016/01/21 09:28:06 [debug] 17859#0: *19 reusable connection: 1
2016/01/21 09:28:06 [debug] 17859#0: *19 epoll add event: fd:11 op:1 ev:80002001
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 22
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: 59978
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:3 ev:0001 d:00007FDC28C9D371
2016/01/21 09:28:06 [debug] 17859#0: *18 http wait request handler
2016/01/21 09:28:06 [debug] 17859#0: *18 malloc: 0000000000CCF130:1024
2016/01/21 09:28:06 [debug] 17859#0: *18 recv: fd:3 478 of 1024
2016/01/21 09:28:06 [debug] 17859#0: *18 reusable connection: 0
2016/01/21 09:28:06 [debug] 17859#0: *18 posix_memalign: 0000000000D1C7F0:4096 @16
2016/01/21 09:28:06 [debug] 17859#0: *18 http process request line
2016/01/21 09:28:06 [debug] 17859#0: *18 http request line: "GET /test2.mp4 HTTP/1.1"
2016/01/21 09:28:06 [debug] 17859#0: *18 http uri: "/test2.mp4"
2016/01/21 09:28:06 [debug] 17859#0: *18 http args: ""
2016/01/21 09:28:06 [debug] 17859#0: *18 http exten: "mp4"
2016/01/21 09:28:06 [debug] 17859#0: *18 http process request header line
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "Host: demo_vod2.chickenkiller.com"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "Cache-Control: max-age=0"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "Upgrade-Insecure-Requests: 1"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "User-Agent: Mozilla/5.0 (Linux; Android 5.0; Nexus 6 Build/LRX21O) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.84 Mobile Safari/537.36"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "Accept-Encoding: gzip, deflate, sdch"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "Accept-Language: en-US,en;q=0.8"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "Range: bytes=91224-1376476"
2016/01/21 09:28:06 [debug] 17859#0: *18 http header: "If-Range: "56964d85-1500dd""
2016/01/21 09:28:06 [debug] 17859#0: *18 http header done
2016/01/21 09:28:06 [debug] 17859#0: *18 event timer del: 3: 1453361346416
2016/01/21 09:28:06 [debug] 17859#0: *18 generic phase: 0
2016/01/21 09:28:06 [debug] 17859#0: *18 rewrite phase: 1
2016/01/21 09:28:06 [debug] 17859#0: *18 test location: "/"
2016/01/21 09:28:06 [debug] 17859#0: *18 test location: "50x.html"
2016/01/21 09:28:06 [debug] 17859#0: *18 using configuration "/"
2016/01/21 09:28:06 [debug] 17859#0: *18 http cl:-1 max:1048576
2016/01/21 09:28:06 [debug] 17859#0: *18 rewrite phase: 3
2016/01/21 09:28:06 [debug] 17859#0: *18 post rewrite phase: 4
2016/01/21 09:28:06 [debug] 17859#0: *18 generic phase: 5
2016/01/21 09:28:06 [debug] 17859#0: *18 generic phase: 6
2016/01/21 09:28:06 [debug] 17859#0: *18 generic phase: 7
2016/01/21 09:28:06 [debug] 17859#0: *18 generic phase: 8
2016/01/21 09:28:06 [debug] 17859#0: *18 access phase: 9
2016/01/21 09:28:06 [debug] 17859#0: *18 access phase: 10
2016/01/21 09:28:06 [debug] 17859#0: *18 access phase: 11
2016/01/21 09:28:06 [debug] 17859#0: *18 post access phase: 12
2016/01/21 09:28:06 [debug] 17859#0: *18 content phase: 13
2016/01/21 09:28:06 [debug] 17859#0: *18 content phase: 14
2016/01/21 09:28:06 [debug] 17859#0: *18 content phase: 15
2016/01/21 09:28:06 [debug] 17859#0: *18 content phase: 16
2016/01/21 09:28:06 [debug] 17859#0: *18 content phase: 17
2016/01/21 09:28:06 [debug] 17859#0: *18 content phase: 18
2016/01/21 09:28:06 [debug] 17859#0: *18 posix_memalign: 0000000000D1A9A0:4096 @16
2016/01/21 09:28:06 [debug] 17859#0: *18 http filename: "/home/hilmi/fakehost/test2.mp4"
2016/01/21 09:28:06 [debug] 17859#0: *18 add cleanup: 0000000000D1A9E0
2016/01/21 09:28:06 [debug] 17859#0: *18 http static fd: 12
2016/01/21 09:28:06 [debug] 17859#0: *18 http set discard body
2016/01/21 09:28:06 [debug] 17859#0: *18 xslt filter header
2016/01/21 09:28:06 [debug] 17859#0: *18 http ir:"56964d85-1500dd" etag:"56964d85-1500dd"
2016/01/21 09:28:06 [debug] 17859#0: *18 HTTP/1.1 206 Partial Content
Server: nginx/1.8.0
Date: Thu, 21 Jan 2016 07:28:06 GMT
Content-Type: video/mp4
Content-Length: 1285253
Last-Modified: Wed, 13 Jan 2016 13:13:41 GMT
Connection: keep-alive
ETag: "56964d85-1500dd"
Content-Range: bytes 91224-1376476/1376477

2016/01/21 09:28:06 [debug] 17859#0: *18 write new buf t:1 f:0 0000000000D1AC58, pos 0000000000D1AC58, size: 279 file: 0, size: 0
2016/01/21 09:28:06 [debug] 17859#0: *18 http write filter: l:0 f:0 s:279
2016/01/21 09:28:06 [debug] 17859#0: *18 http output filter "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *18 http range body buf: 0-1376477
2016/01/21 09:28:06 [debug] 17859#0: *18 http copy filter: "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *18 image filter
2016/01/21 09:28:06 [debug] 17859#0: *18 xslt filter body
2016/01/21 09:28:06 [debug] 17859#0: *18 http postpone filter "/test2.mp4?" 00007FFC52527EC0
2016/01/21 09:28:06 [debug] 17859#0: *18 write old buf t:1 f:0 0000000000D1AC58, pos 0000000000D1AC58, size: 279 file: 0, size: 0
2016/01/21 09:28:06 [debug] 17859#0: *18 write new buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 91224, size: 1285253
2016/01/21 09:28:06 [debug] 17859#0: *18 http write filter: l:1 f:0 s:1285532
2016/01/21 09:28:06 [debug] 17859#0: *18 http write filter limit 0
2016/01/21 09:28:06 [debug] 17859#0: *18 writev: 279 of 279
2016/01/21 09:28:06 [debug] 17859#0: *18 sendfile: @91224 1285253
2016/01/21 09:28:06 [debug] 17859#0: *18 sendfile: 15928 of 1285253 @91224
2016/01/21 09:28:06 [debug] 17859#0: *18 http write filter 0000000000D1AE00
2016/01/21 09:28:06 [debug] 17859#0: *18 http copy filter: -2 "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *18 http finalize request: -2, "/test2.mp4?" a:1, c:1
2016/01/21 09:28:06 [debug] 17859#0: *18 event timer add: 3: 60000:1453361346442
2016/01/21 09:28:06 [debug] 17859#0: *18 epoll add event: fd:3 op:3 ev:80002005
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 4
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: 59996
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:3 ev:2001 d:00007FDC28C9D371
2016/01/21 09:28:06 [debug] 17859#0: *18 http run request: "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *18 http test reading
2016/01/21 09:28:06 [info] 17859#0: *18 client prematurely closed connection while sending response to client, client: 54.75.244.135, server: localhost, request: "GET /test2.mp4 HTTP/1.1", host: "demo_vod2.chickenkiller.com"
2016/01/21 09:28:06 [debug] 17859#0: *18 http finalize request: 499, "/test2.mp4?" a:1, c:1
2016/01/21 09:28:06 [debug] 17859#0: *18 http terminate request count:1
2016/01/21 09:28:06 [debug] 17859#0: *18 http terminate cleanup count:1 blk:0
2016/01/21 09:28:06 [debug] 17859#0: *18 http posted request: "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *18 http terminate handler count:1
2016/01/21 09:28:06 [debug] 17859#0: *18 http request count:1 blk:0
2016/01/21 09:28:06 [debug] 17859#0: *18 http close request
2016/01/21 09:28:06 [debug] 17859#0: *18 http log handler
2016/01/21 09:28:06 [debug] 17859#0: *18 run cleanup: 0000000000D1A9E0
2016/01/21 09:28:06 [debug] 17859#0: *18 file cleanup: fd:12
2016/01/21 09:28:06 [debug] 17859#0: *18 free: 0000000000D1C7F0, unused: 3
2016/01/21 09:28:06 [debug] 17859#0: *18 free: 0000000000D1A9A0, unused: 2700
2016/01/21 09:28:06 [debug] 17859#0: *18 close http connection: 3
2016/01/21 09:28:06 [debug] 17859#0: *18 event timer del: 3: 1453361346442
2016/01/21 09:28:06 [debug] 17859#0: *18 reusable connection: 0
2016/01/21 09:28:06 [debug] 17859#0: *18 free: 0000000000CCF130
2016/01/21 09:28:06 [debug] 17859#0: *18 free: 0000000000D37DF0, unused: 24
2016/01/21 09:28:06 [debug] 17859#0: *18 free: 0000000000D37890, unused: 72
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 0
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: 59996
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:11 ev:0001 d:00007FDC28C9D1C0
2016/01/21 09:28:06 [debug] 17859#0: *19 http wait request handler
2016/01/21 09:28:06 [debug] 17859#0: *19 malloc: 0000000000CCF130:1024
2016/01/21 09:28:06 [debug] 17859#0: *19 recv: fd:11 396 of 1024
2016/01/21 09:28:06 [debug] 17859#0: *19 reusable connection: 0
2016/01/21 09:28:06 [debug] 17859#0: *19 posix_memalign: 0000000000D1C7F0:4096 @16
2016/01/21 09:28:06 [debug] 17859#0: *19 http process request line
2016/01/21 09:28:06 [debug] 17859#0: *19 http request line: "GET /test2.mp4 HTTP/1.1"
2016/01/21 09:28:06 [debug] 17859#0: *19 http uri: "/test2.mp4"
2016/01/21 09:28:06 [debug] 17859#0: *19 http args: ""
2016/01/21 09:28:06 [debug] 17859#0: *19 http exten: "mp4"
2016/01/21 09:28:06 [debug] 17859#0: *19 http process request header line
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "Host: demo_vod2.chickenkiller.com"
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "User-Agent: Mozilla/5.0 (Linux; Android 5.0; Nexus 6 Build/LRX21O) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.84 Mobile Safari/537.36"
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "Accept: */*"
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "Referer: http://demo_vod2.chickenkiller.com/test2.mp4"
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "Accept-Encoding: gzip, deflate, sdch"
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "Accept-Language: en-US,en;q=0.8"
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "Range: bytes=0-1"
2016/01/21 09:28:06 [debug] 17859#0: *19 http header: "If-Range: "56964d85-1500dd""
2016/01/21 09:28:06 [debug] 17859#0: *19 http header done
2016/01/21 09:28:06 [debug] 17859#0: *19 event timer del: 11: 1453361346438
2016/01/21 09:28:06 [debug] 17859#0: *19 generic phase: 0
2016/01/21 09:28:06 [debug] 17859#0: *19 rewrite phase: 1
2016/01/21 09:28:06 [debug] 17859#0: *19 test location: "/"
2016/01/21 09:28:06 [debug] 17859#0: *19 test location: "50x.html"
2016/01/21 09:28:06 [debug] 17859#0: *19 using configuration "/"
2016/01/21 09:28:06 [debug] 17859#0: *19 http cl:-1 max:1048576
2016/01/21 09:28:06 [debug] 17859#0: *19 rewrite phase: 3
2016/01/21 09:28:06 [debug] 17859#0: *19 post rewrite phase: 4
2016/01/21 09:28:06 [debug] 17859#0: *19 generic phase: 5
2016/01/21 09:28:06 [debug] 17859#0: *19 generic phase: 6
2016/01/21 09:28:06 [debug] 17859#0: *19 generic phase: 7
2016/01/21 09:28:06 [debug] 17859#0: *19 generic phase: 8
2016/01/21 09:28:06 [debug] 17859#0: *19 access phase: 9
2016/01/21 09:28:06 [debug] 17859#0: *19 access phase: 10
2016/01/21 09:28:06 [debug] 17859#0: *19 access phase: 11
2016/01/21 09:28:06 [debug] 17859#0: *19 post access phase: 12
2016/01/21 09:28:06 [debug] 17859#0: *19 content phase: 13
2016/01/21 09:28:06 [debug] 17859#0: *19 content phase: 14
2016/01/21 09:28:06 [debug] 17859#0: *19 content phase: 15
2016/01/21 09:28:06 [debug] 17859#0: *19 content phase: 16
2016/01/21 09:28:06 [debug] 17859#0: *19 content phase: 17
2016/01/21 09:28:06 [debug] 17859#0: *19 content phase: 18
2016/01/21 09:28:06 [debug] 17859#0: *19 http filename: "/home/hilmi/fakehost/test2.mp4"
2016/01/21 09:28:06 [debug] 17859#0: *19 posix_memalign: 0000000000D1A9A0:4096 @16
2016/01/21 09:28:06 [debug] 17859#0: *19 add cleanup: 0000000000D1A9C0
2016/01/21 09:28:06 [debug] 17859#0: *19 http static fd: 3
2016/01/21 09:28:06 [debug] 17859#0: *19 http set discard body
2016/01/21 09:28:06 [debug] 17859#0: *19 xslt filter header
2016/01/21 09:28:06 [debug] 17859#0: *19 http ir:"56964d85-1500dd" etag:"56964d85-1500dd"
2016/01/21 09:28:06 [debug] 17859#0: *19 HTTP/1.1 206 Partial Content
Server: nginx/1.8.0
Date: Thu, 21 Jan 2016 07:28:06 GMT
Content-Type: video/mp4
Content-Length: 2
Last-Modified: Wed, 13 Jan 2016 13:13:41 GMT
Connection: keep-alive
ETag: "56964d85-1500dd"
Content-Range: bytes 0-1/1376477

2016/01/21 09:28:06 [debug] 17859#0: *19 write new buf t:1 f:0 0000000000D1AC38, pos 0000000000D1AC38, size: 263 file: 0, size: 0
2016/01/21 09:28:06 [debug] 17859#0: *19 http write filter: l:0 f:0 s:263
2016/01/21 09:28:06 [debug] 17859#0: *19 http output filter "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *19 http range body buf: 0-1376477
2016/01/21 09:28:06 [debug] 17859#0: *19 http copy filter: "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *19 image filter
2016/01/21 09:28:06 [debug] 17859#0: *19 xslt filter body
2016/01/21 09:28:06 [debug] 17859#0: *19 http postpone filter "/test2.mp4?" 00007FFC52527EC0
2016/01/21 09:28:06 [debug] 17859#0: *19 write old buf t:1 f:0 0000000000D1AC38, pos 0000000000D1AC38, size: 263 file: 0, size: 0
2016/01/21 09:28:06 [debug] 17859#0: *19 write new buf t:0 f:1 0000000000000000, pos 0000000000000000, size: 0 file: 0, size: 2
2016/01/21 09:28:06 [debug] 17859#0: *19 http write filter: l:1 f:0 s:265
2016/01/21 09:28:06 [debug] 17859#0: *19 http write filter limit 0
2016/01/21 09:28:06 [debug] 17859#0: *19 writev: 263 of 263
2016/01/21 09:28:06 [debug] 17859#0: *19 sendfile: @0 2
2016/01/21 09:28:06 [debug] 17859#0: *19 sendfile: 2 of 2 @0
2016/01/21 09:28:06 [debug] 17859#0: *19 http write filter 0000000000000000
2016/01/21 09:28:06 [debug] 17859#0: *19 http copy filter: 0 "/test2.mp4?"
2016/01/21 09:28:06 [debug] 17859#0: *19 http finalize request: 0, "/test2.mp4?" a:1, c:1
2016/01/21 09:28:06 [debug] 17859#0: *19 set http keepalive handler
2016/01/21 09:28:06 [debug] 17859#0: *19 http close request
2016/01/21 09:28:06 [debug] 17859#0: *19 http log handler
2016/01/21 09:28:06 [debug] 17859#0: *19 run cleanup: 0000000000D1A9C0
2016/01/21 09:28:06 [debug] 17859#0: *19 file cleanup: fd:3
2016/01/21 09:28:06 [debug] 17859#0: *19 free: 0000000000D1C7F0, unused: 3
2016/01/21 09:28:06 [debug] 17859#0: *19 free: 0000000000D1A9A0, unused: 2697
2016/01/21 09:28:06 [debug] 17859#0: *19 free: 0000000000CCF130
2016/01/21 09:28:06 [debug] 17859#0: *19 hc free: 0000000000000000 0
2016/01/21 09:28:06 [debug] 17859#0: *19 hc busy: 0000000000000000 0
2016/01/21 09:28:06 [debug] 17859#0: *19 tcp_nodelay
2016/01/21 09:28:06 [debug] 17859#0: *19 reusable connection: 1
2016/01/21 09:28:06 [debug] 17859#0: *19 event timer add: 11: 65000:1453361351464
2016/01/21 09:28:06 [debug] 17859#0: *19 post event 0000000000D8E160
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 22
2016/01/21 09:28:06 [debug] 17859#0: posted event 0000000000D8E160
2016/01/21 09:28:06 [debug] 17859#0: *19 delete posted event 0000000000D8E160
2016/01/21 09:28:06 [debug] 17859#0: *19 http keepalive handler
2016/01/21 09:28:06 [debug] 17859#0: *19 malloc: 0000000000CCF130:1024
2016/01/21 09:28:06 [debug] 17859#0: *19 recv: fd:11 -1 of 1024
2016/01/21 09:28:06 [debug] 17859#0: *19 recv() not ready (11: Resource temporarily unavailable)
2016/01/21 09:28:06 [debug] 17859#0: *19 free: 0000000000CCF130
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: 65000
2016/01/21 09:28:06 [debug] 17859#0: epoll: fd:11 ev:2001 d:00007FDC28C9D1C0
2016/01/21 09:28:06 [debug] 17859#0: *19 http keepalive handler
2016/01/21 09:28:06 [debug] 17859#0: *19 malloc: 0000000000CCF130:1024
2016/01/21 09:28:06 [debug] 17859#0: *19 recv: fd:11 0 of 1024
2016/01/21 09:28:06 [info] 17859#0: *19 client 54.75.244.135 closed keepalive connection
2016/01/21 09:28:06 [debug] 17859#0: *19 close http connection: 11
2016/01/21 09:28:06 [debug] 17859#0: *19 event timer del: 11: 1453361351464
2016/01/21 09:28:06 [debug] 17859#0: *19 reusable connection: 0
2016/01/21 09:28:06 [debug] 17859#0: *19 free: 0000000000CCF130
2016/01/21 09:28:06 [debug] 17859#0: *19 free: 0000000000D1A310, unused: 24
2016/01/21 09:28:06 [debug] 17859#0: *19 free: 0000000000D1A420, unused: 72
2016/01/21 09:28:06 [debug] 17859#0: timer delta: 56
2016/01/21 09:28:06 [debug] 17859#0: worker cycle
2016/01/21 09:28:06 [debug] 17859#0: epoll timer: -1

They look a little bit different. But i could not get why first one is working but second one is not.

Last edited 5 years ago by hilmican@… (previous) (diff)

comment:7 by Maxim Dounin, 5 years ago

Resolution: invalid
Status: newclosed

As previously suggested, the mp4 module is not used at all - the client uses range requests instead.

In both cases nginx behaviour looks correct - it does exactly what is requested by the client, so the problem seems to be on the client side. Some notes / recommendations:

  • try clearing the cache, it may be some bug related to cache handling;
  • check if codecs used are expected to be fully supported by a particular version of Android;
  • check for various antivirus / firewall software, as well as various access settings;
  • note that in the "by DNS name" case there are no requests with "User-Agent: stagefright", while all requests to real data in the "by IP" case seem to be with this User-Agent - this may indicate that the browser failed to call the library for some reason, or the library wasn't allowed to do requests;
  • note that "_" isn't really allowed in domain names, and it may not be supported by various software (in particular, the behaviour can be easily explained by assuming that the Stagefright library isn't able to do requests to such names), try a name without "_" instead.

Hope you'll be able to identify and fix the problem. I'm closing this ticket, as this doesn't looks like an nginx bug. Please drop here a note if you'll be able to identify the problem.

comment:8 by hilmican@…, 5 years ago

Hello;

Thank you for your helps. As you suggested, it is a "_" issue. When i changed dns from demo_vod to demovod. The problem solved.

Note: See TracTickets for help on using tickets.